import os
os.system('modprobe w1-gpio')
os.system('modprobe w1-therm')

DS18B20 = '28-092425a094ff' #DS18B20的地址，每个设备的地址都不一样，需要先查询后进行修改

def Sensor_init():
    global DS18B20 #全局变量
    for i in os.listdir('/sys/bus/w1/devices'):
        if i != 'w1_bus_master1':
            DS18B20 = i  #DS18B20存放在DS18B20地址

def Sensor_read():
    location = '/sys/bus/w1/devices/' + DS18B20 + '/w1_slave' #保存DS18B20地址信息
    tfile = open(location) #打开DS18B20
    text = tfile.read()    #读取温度值
    tfile.close()          #关闭读取
    try:
        secondline = text.split("\n")[1]  #格式化处理
    except IndexError as e:
        return 0
    temperaturedata = secondline.split(" ")[9]   #获取温度数据
    temperature = float(temperaturedata[2:])     #去掉前两位
    temperature = temperature / 1000             #去掉小数点
    return temperature           #返回温度值

def Sensor():
    while True:
        if Sensor_read() != None:   #读取温度值，判断温度值是否为空
            print("Current temperature: %0.3f C" % Sensor_read())  #打印温度值
if __name__ == '__main__':
    try:
        Sensor_init()
        Sensor()
    except KeyboardInterrupt:
        pass


