from gpiozero import MCP3208,Button
from time import sleep

tempvalue = MCP3208(channel=0)
temp = Button(17)

def Sound():
    while True:
        print('Temperature Value: ', round(tempvalue.value*4095))
        print('Temperature Voltage: ' + str(round(tempvalue.value*3.3,2)) + 'V')
        if temp.is_pressed:
            print('The temperature is too high!')
        sleep(0.2)

    
if __name__ == '__main__':
    try:
        Sound()
    except KeyboardInterrupt:
        pass

