from gpiozero import Button,LED
from time import sleep
from signal import pause

magnetron = Button(17)
led = LED(27)
     
def pressed():
    print('There is a magnet close')
    led.on()
    
def released():
    led.off()
    
def destory():
    led.close()
    
magnetron.when_pressed = pressed
magnetron.when_released = released
    
if __name__ == '__main__':
    try:
        pause()
    except KeyboardInterrupt:
        destory()


