from gpiozero import Button,LED
from time import sleep
from signal import pause

SW = Button(17)
led = LED(27)

def pressed():
    print('Vibration occurs!')
    led.on()
    
def released():
    print('No vibrations!')
    led.off()
    
def destory():
    led.close()
    
SW.when_pressed = pressed
SW.when_released = released
    
if __name__ == '__main__':
    try:
        pause()
    except KeyboardInterrupt:
        destory()

