from gpiozero import Button,LED
from time import sleep
from signal import pause

TTP = Button(17, pull_up=False)
Red = LED(27)
Yellow = LED(22)

def pressed():
    Red.on()
    Yellow.off()
    
def released():
    Red.off()
    Yellow.on()
    
TTP.when_pressed = pressed
TTP.when_released = released

def destory():
    Red.close()
    Yellow.close()
if __name__ == '__main__':
    try:
        pause()
    except KeyboardInterrupt:
        destory()


