from gpiozero import MCP3208,Button
from time import sleep

tempvalue = MCP3208(channel=0)
temp = Button(17)

def sensor():
    flag = 1
    while True:
        print('Gas Value: ', round(tempvalue.value*4095))
        print('Gas Voltage: ' + str(round(tempvalue.value*3.3,2)) + 'V')
        temp1 = not temp.is_pressed
        if temp1 != flag:
            if temp1 == 1:
                print('')
                print('It is safe here!')
                print('')
            if temp1 == 0:
                print('')
                print('Gas is detected here!')
                print('')
            flag = temp1
        sleep(0.2)

    
if __name__ == '__main__':
    try:
        sensor()
    except KeyboardInterrupt:
        pass

