from gpiozero import MCP3208
from time import sleep

temp= MCP3208(channel=0)

def Sensor():
    while True:
        print('value is: ', round(temp.value*100,2))
        val = round(temp.value*1024)
        if val < 10:
            print(' | dry')
        elif val< 475:
            print(' | water level: ~ 0-1 cm')
        elif val < 515:
            print(' | water level: ~ 1-2 cm')
        elif val < 535:
            print(' | water level: ~ 2-3 cm')
        elif val < 550:
            print(' | water level: ~ 3-4 cm')
        else:
            print(' | water level: over 4 cm')
        sleep(1)

    
if __name__ == '__main__':
    try:
        Sensor()
    except KeyboardInterrupt:
        pass
