from gpiozero import TonalBuzzer
from gpiozero.tones import Tone
from time import sleep

Tone_CL = [220, 220, 220, 220, 220, 220, 220, 248]
Tone_CM = [220, 262, 294, 330, 350, 393, 441, 495]
Tone_CH = [220, 525, 589, 661, 700, 786, 800, 880]

makerobo_song = [ Tone_CM[3], Tone_CM[5], Tone_CM[6], Tone_CM[3], Tone_CM[2], Tone_CM[3], Tone_CM[5], Tone_CM[3], 
                  Tone_CH[1], Tone_CM[6], Tone_CM[5], Tone_CM[1], Tone_CM[3], Tone_CM[2], Tone_CM[2], Tone_CM[3],
                  Tone_CM[5], Tone_CM[2], Tone_CM[3], Tone_CM[3], Tone_CL[6], Tone_CL[6], Tone_CL[6], Tone_CM[1],
                  Tone_CM[2], Tone_CM[3], Tone_CM[2], Tone_CL[7], Tone_CL[6], Tone_CM[1], Tone_CL[5] ]
makerobo_beat = [ 1, 1, 3, 1, 1, 3, 1, 1,
                  1, 1, 1, 1, 1, 1, 3, 1,
                  1, 3, 1, 1, 1, 1, 1, 1,
                  1, 2, 1, 1, 1, 1, 1, 1,
                  1, 1, 3 ]

def buzzer():
    while True:
        for i in range(1, len(makerobo_song)):
            bz.play(Tone(makerobo_song[i]))
            sleep(makerobo_beat[i]*0.5)
        bz.stop()
        sleep(5)

def destory():
    bz.stop()
    
if __name__ == '__main__':
    bz = TonalBuzzer(17)
    bz.stop()
    try:
        buzzer()
    except KeyboardInterrupt:
        destory()


