from gpiozero import InputDevice,OutputDevice
import time

TRIG = OutputDevice(18,active_high=False)
ECHO = InputDevice(17)  

def distance():
    TRIG.on()  
    time.sleep(0.1)
    TRIG.off() 
    
    while ECHO.value == 0:
        pass
    time1 = time.time()  
    while ECHO.value == 1: 
        pass
    time2 = time.time() 
    during = time2 - time1   
    return during * 340 / 2 * 100  
    
def loop():
    while True:
        dis = distance()
        print('')
        print( '',dis,'cm')
        print('')
        time.sleep(0.3)

def destroy():
	TRIG.off()

if __name__ == "__main__":
	try:
		loop()
	except KeyboardInterrupt:
		destroy()


