from gpiozero import PWMOutputDevice
from gpiozero import MCP3208
from time import sleep

pot = MCP3208(channel=0)
mot = PWMOutputDevice(17)

def motor():
    while True:
        mot.value = pot.value
    
def destroy():
    mot.off()  
             
if __name__ == '__main__':
    try:
        motor()
    except KeyboardInterrupt:
        destroy()
