from gpiozero import LEDBoard
from time import sleep

mots = LEDBoard(6,13,19,26)

def motor_A():
    mots.value = (1, 0, 0, 0)
    
def motor_AB():
    mots.value = (1, 1, 0, 0)
    
def motor_B():
    mots.value = (0, 1, 0, 0)
    
def motor_BC():
    mots.value = (0, 1, 1, 0)
    
def motor_C():
    mots.value = (0, 0, 1, 0)
    
def motor_CD():
    mots.value = (0, 0, 1, 1)
    
def motor_D():
    mots.value = (0, 0, 0, 1)
    
def motor_DA():
    mots.value = (1, 0, 0, 1)
    
def motor():
    for i in range(64*8):
        motor_A()
        sleep(0.001)
        motor_AB()
        sleep(0.001)
        motor_B()
        sleep(0.001)
        motor_BC()
        sleep(0.001)
        motor_C()
        sleep(0.001)
        motor_CD()
        sleep(0.001)
        motor_D()
        sleep(0.001)
        motor_DA()
        sleep(0.001)
        
def destroy():
    mots.off()  
             
if __name__ == '__main__':
    try:
        motor()
    except KeyboardInterrupt:
        destroy()


