from gpiozero import Button
from gpiozero import LEDBoard
from time import sleep
from signal import pause
    
leds = LEDBoard(16, 20, 21)
Red = Button(6, pull_up=False)
Yellow = Button(13, pull_up=False)
Green = Button(19, pull_up=False)
LED = Button(26, pull_up=False)

def Red_on():
    leds.on(0)

def Yellow_on():
    leds.on(1)
    
def Green_on():
    leds.on(2)

def button():
    Red.when_pressed = Red_on
    Red.when_released = leds.off
    Yellow.when_pressed = Yellow_on
    Yellow.when_released = leds.off
    Green.when_pressed = Green_on
    Green.when_released = leds.off
    LED.when_pressed = leds.on
    LED.when_released = leds.off

    pause()

def destory():
    leds.off()
    
if __name__ == '__main__':
    try:
        button()
    except KeyboardInterrupt:
        destory()
