from gpiozero import LEDBoard, ButtonBoard
from time import sleep
from signal import pause

Row = LEDBoard(6, 13, 19, 26,active_high=False)
Col = ButtonBoard(25,8,7,1,pull_up=True)
key_layout = [
    ['S1', 'S2', 'S3', 'S4'],
    ['S5', 'S6', 'S7', 'S8'],
    ['S9', 'S10', 'S11', 'S12'],
    ['S13', 'S14', 'S15', 'S16']
]

key_state = True

def released():
    print("Press the key:")
def keypad_read():
    for i in range(4):
        Row.on(i)
        for j in range(4):
            if Col[j].is_pressed:
                sleep(0.02)
                if Col[j].is_pressed:
                    while Col[j].value == 1:
                        pass
                return key_layout[i][j]
        sleep(0.01)
        Row.off(i)
    return None  
    
def destory():
    Row.off()
    
if __name__ == '__main__':
    try:
        while True:
            key = keypad_read()
            if key is not None:
                print("Press the key:", key)
                sleep(0.1)
    except KeyboardInterrupt:
        destory()
        



