import time,board
import adafruit_dht

DHT = adafruit_dht.DHT11(board.D17)

def Sensor():
    while True:
        try:
            temperature_c = DHT.temperature
            temperature_f = temperature_c * (9 / 5) + 32
            humidity = DHT.humidity
            print("Temperature:{:.1f} F / {:.1f} C  Humidity: {}% " .format(temperature_f, temperature_c, humidity))  
        except RuntimeError as error:
            print(error.args[0])
            time.sleep(2.0)
            continue
        except Exception as error:
            DHT.exit()
            raise error
        time.sleep(2.0)

if __name__ == '__main__':
    try:
        while True:
            Sensor()
    except KeyboardInterrupt:
        pass



